Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfclown.tokens
Class Keyword

    java.lang.Object
      org.pdfclown.tokens.Keyword

    public final class Keyword

extends Object

PDF keywords.

Since:
  0.1.0
Version:
  0.1.1, 03/17/11
Author:
  Stefano Chizzolini (http://www.stefanochizzolini.it)

Field Summary
`static String` | `BeginArray` PDF array opening delimiter.
`static String` | `BeginComment` PDF comment opening delimiter.
`static String` | `BeginDictionary` PDF dictionary opening delimiter.
`static String` | `BeginIndirectObject` PDF indirect object begin.
`static String` | `BeginLiteralString` PDF literal string opening delimiter.
`static String` | `BeginStream` PDF stream data begin.
`static String` | `BOF` PDF file begin.
`static String` | `DatePrefix` PDF date marker.
`static String` | `EndArray` PDF array closing delimiter.
`static String` | `EndDictionary` PDF dictionary closing delimiter.
`static String` | `EndIndirectObject` PDF indirect object end.
`static String` | `EndLiteralString` PDF literal string closing delimiter.
`static String` | `EndStream` PDF stream data end.
`static String` | `EOF` PDF file end.
`static String` | `False` PDF boolean false.
`static String` | `FreeXrefEntry` PDF free xref entry marker.
`static String` | `InUseXrefEntry` PDF in-use xref entry marker.
`static String` | `NamePrefix` PDF name marker.
`static String` | `Null` PDF null object.
`static String` | `Reference` PDF indirect reference marker.
`static String` | `StartXRef` PDF xref start offset.
`static String` | `Trailer` PDF trailer begin.
`static String` | `True` PDF boolean true.
`static String` | `XRef` PDF xref begin.

Constructor Summary
`Keyword()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BeginArray

    public static final String BeginArray

  PDF array opening delimiter.

  See Also:
    Constant Field Values

### BeginComment

    public static final String BeginComment

  PDF comment opening delimiter.

  See Also:
    Constant Field Values

### BeginDictionary

    public static final String BeginDictionary

  PDF dictionary opening delimiter.

  See Also:
    Constant Field Values

### BeginIndirectObject

    public static final String BeginIndirectObject

  PDF indirect object begin.

  See Also:
    Constant Field Values

### BeginLiteralString

    public static final String BeginLiteralString

  PDF literal string opening delimiter.

  See Also:
    Constant Field Values

### BeginStream

    public static final String BeginStream

  PDF stream data begin.

  See Also:
    Constant Field Values

### BOF

    public static final String BOF

  PDF file begin.

  See Also:
    Constant Field Values

### DatePrefix

    public static final String DatePrefix

  PDF date marker.

  See Also:
    Constant Field Values

### EndArray

    public static final String EndArray

  PDF array closing delimiter.

  See Also:
    Constant Field Values

### EndDictionary

    public static final String EndDictionary

  PDF dictionary closing delimiter.

  See Also:
    Constant Field Values

### EndIndirectObject

    public static final String EndIndirectObject

  PDF indirect object end.

  See Also:
    Constant Field Values

### EndLiteralString

    public static final String EndLiteralString

  PDF literal string closing delimiter.

  See Also:
    Constant Field Values

### EndStream

    public static final String EndStream

  PDF stream data end.

  See Also:
    Constant Field Values

### EOF

    public static final String EOF

  PDF file end.

  See Also:
    Constant Field Values

### False

    public static final String False

  PDF boolean false.

  See Also:
    Constant Field Values

### FreeXrefEntry

    public static final String FreeXrefEntry

  PDF free xref entry marker.

  See Also:
    Constant Field Values

### InUseXrefEntry

    public static final String InUseXrefEntry

  PDF in-use xref entry marker.

  See Also:
    Constant Field Values

### NamePrefix

    public static final String NamePrefix

  PDF name marker.

  See Also:
    Constant Field Values

### Null

    public static final String Null

  PDF null object.

  See Also:
    Constant Field Values

### Reference

    public static final String Reference

  PDF indirect reference marker.

  See Also:
    Constant Field Values

### StartXRef

    public static final String StartXRef

  PDF xref start offset.

  See Also:
    Constant Field Values

### Trailer

    public static final String Trailer

  PDF trailer begin.

  See Also:
    Constant Field Values

### True

    public static final String True

  PDF boolean true.

  See Also:
    Constant Field Values

### XRef

    public static final String XRef

  PDF xref begin.

  See Also:
    Constant Field Values

Constructor Detail

### Keyword

    public Keyword()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.